<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormClassManager class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormClassManager">GormClassManager class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormClassManager class
      </a></h1>
    <h2><a name="class$GormClassManager">GormClassManager</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormClassManager.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormClassManager_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-actionExists$onClassNamed$">-actionExists:onClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addAction$forClassNamed$">-addAction:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addAction$forObject$">-addAction:forObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addActions$forClassNamed$">-addActions:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addClassNamed$withSuperClassNamed$withActions$withOutlets$">-addClassNamed:withSuperClassNamed:withActions:withOutlets:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addClassNamed$withSuperClassNamed$withActions$withOutlets$isCustom$">-addClassNamed:withSuperClassNamed:withActions:withOutlets:isCustom:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addClassWithSuperClassName$">-addClassWithSuperClassName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addNewActionToClassNamed$">-addNewActionToClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addNewOutletToClassNamed$">-addNewOutletToClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addOutlet$forClassNamed$">-addOutlet:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addOutlet$forObject$">-addOutlet:forObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-addOutlets$forClassNamed$">-addOutlets:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allActionsForClassNamed$">-allActionsForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allActionsForObject$">-allActionsForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allClassNames">-allClassNames</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allCustomClassNames">-allCustomClassNames</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allCustomSubclassesOf$">-allCustomSubclassesOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allOutletsForClassNamed$">-allOutletsForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allOutletsForObject$">-allOutletsForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allSubclassesOf$">-allSubclassesOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-allSuperClassesOf$">-allSuperClassesOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-canInstantiateClassNamed$">-canInstantiateClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-classNameForObject$">-classNameForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-customClassForName$">-customClassForName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-customClassForObject$">-customClassForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-customClassMap">-customClassMap</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-customSubClassesOf$">-customSubClassesOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-data">-data</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-dictionaryForClassNamed$">-dictionaryForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-extraActionsForObject$">-extraActionsForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-extraOutletsForObject$">-extraOutletsForObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-findClassByName$">-findClassByName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-initWithDocument$">-initWithDocument:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isAction$ofClass$">-isAction:ofClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isAction$onCategoryForClassNamed$">-isAction:onCategoryForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isCategoryForClass$">-isCategoryForClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isCustomClass$">-isCustomClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isCustomClassMapEmpty">-isCustomClassMapEmpty</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isKnownClass$">-isKnownClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isNonCustomClass$">-isNonCustomClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isOutlet$ofClass$">-isOutlet:ofClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isRootClass$">-isRootClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-isSuperclass$linkedToClass$">-isSuperclass:linkedToClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadCustomClasses$">-loadCustomClasses:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadCustomClassesWithData$">-loadCustomClassesWithData:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadCustomClassesWithDict$">-loadCustomClassesWithDict:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadFromFile$">-loadFromFile:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadNibFormatCustomClassesWithData$">-loadNibFormatCustomClassesWithData:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-loadNibFormatCustomClassesWithDict$">-loadNibFormatCustomClassesWithDict:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-makeSourceAndHeaderFilesForClass$withName$and$">-makeSourceAndHeaderFilesForClass:withName:and:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-nibData">-nibData</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-nonCustomSuperClassOf$">-nonCustomSuperClassOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-outletExists$onClassNamed$">-outletExists:onClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-parentOfClass$">-parentOfClass:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-parseHeader$">-parseHeader:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeAction$forObject$">-removeAction:forObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeAction$fromClassNamed$">-removeAction:fromClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeClassNamed$">-removeClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeCustomClassForName$">-removeCustomClassForName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeOutlet$forObject$">-removeOutlet:forObject:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-removeOutlet$fromClassNamed$">-removeOutlet:fromClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-renameClassNamed$newName$">-renameClassNamed:newName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-replaceAction$withAction$forClassNamed$">-replaceAction:withAction:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-replaceOutlet$withOutlet$forClassNamed$">-replaceOutlet:withOutlet:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-saveToFile$">-saveToFile:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-setCustomClass$forName$">-setCustomClass:forName:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-setCustomClassMap$">-setCustomClassMap:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-setSuperClassNamed$forClassNamed$">-setSuperClassNamed:forClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-subClassesOf$">-subClassesOf:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-superClassNameForClassNamed$">-superClassNameForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormClassManager.html#method$GormClassManager-uniqueClassNameFrom$">-uniqueClassNameFrom:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormClassManager-actionExists$onClassNamed$">actionExists:&nbsp;onClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>actionExists:</b> (NSString*)action<b> onClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addAction$forClassNamed$">addAction:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>addAction:</b> (NSString*)action<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addAction$forObject$">addAction:&nbsp;forObject:&nbsp;</a></h3>
    - (void) <b>addAction:</b> (NSString*)anAction<b> forObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addActions$forClassNamed$">addActions:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>addActions:</b> (NSArray*)actions<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addClassNamed$withSuperClassNamed$withActions$withOutlets$">addClassNamed:&nbsp;withSuperClassNamed:&nbsp;withActions:&nbsp;withOutlets:&nbsp;</a></h3>
    - (BOOL) <b>addClassNamed:</b> (NSString*)className<b> withSuperClassNamed:</b> (NSString*)superClassName<b> withActions:</b> (NSArray*)actions<b> withOutlets:</b> (NSArray*)outlets;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addClassNamed$withSuperClassNamed$withActions$withOutlets$isCustom$">addClassNamed:&nbsp;withSuperClassNamed:&nbsp;withActions:&nbsp;withOutlets:&nbsp;isCustom:&nbsp;</a></h3>
    - (BOOL) <b>addClassNamed:</b> (NSString*)className<b> withSuperClassNamed:</b> (NSString*)superClassName<b> withActions:</b> (NSArray*)actions<b> withOutlets:</b> (NSArray*)outlets<b> isCustom:</b> (BOOL)isCustom;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addClassWithSuperClassName$">addClassWithSuperClassName:&nbsp;</a></h3>
    - (NSString*) <b>addClassWithSuperClassName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addNewActionToClassNamed$">addNewActionToClassNamed:&nbsp;</a></h3>
    - (NSString*) <b>addNewActionToClassNamed:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addNewOutletToClassNamed$">addNewOutletToClassNamed:&nbsp;</a></h3>
    - (NSString*) <b>addNewOutletToClassNamed:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addOutlet$forClassNamed$">addOutlet:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>addOutlet:</b> (NSString*)outlet<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addOutlet$forObject$">addOutlet:&nbsp;forObject:&nbsp;</a></h3>
    - (void) <b>addOutlet:</b> (NSString*)outlet<b> forObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-addOutlets$forClassNamed$">addOutlets:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>addOutlets:</b> (NSArray*)outlets<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allActionsForClassNamed$">allActionsForClassNamed:&nbsp;</a></h3>
    - (NSArray*) <b>allActionsForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allActionsForObject$">allActionsForObject:&nbsp;</a></h3>
    - (NSArray*) <b>allActionsForObject:</b> (id)obj;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allClassNames">allClassNames&nbsp;</a></h3>
    - (NSArray*) <b>allClassNames</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allCustomClassNames">allCustomClassNames&nbsp;</a></h3>
    - (NSArray*) <b>allCustomClassNames</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allCustomSubclassesOf$">allCustomSubclassesOf:&nbsp;</a></h3>
    - (NSArray*) <b>allCustomSubclassesOf:</b> (NSString*)superClass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allOutletsForClassNamed$">allOutletsForClassNamed:&nbsp;</a></h3>
    - (NSArray*) <b>allOutletsForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allOutletsForObject$">allOutletsForObject:&nbsp;</a></h3>
    - (NSArray*) <b>allOutletsForObject:</b> (id)obj;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allSubclassesOf$">allSubclassesOf:&nbsp;</a></h3>
    - (NSArray*) <b>allSubclassesOf:</b> (NSString*)superClass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-allSuperClassesOf$">allSuperClassesOf:&nbsp;</a></h3>
    - (NSArray*) <b>allSuperClassesOf:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-canInstantiateClassNamed$">canInstantiateClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>canInstantiateClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-classNameForObject$">classNameForObject:&nbsp;</a></h3>
    - (NSString*) <b>classNameForObject:</b> (id)object;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-customClassForName$">customClassForName:&nbsp;</a></h3>
    - (NSString*) <b>customClassForName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-customClassForObject$">customClassForObject:&nbsp;</a></h3>
    - (NSString*) <b>customClassForObject:</b> (id)object;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-customClassMap">customClassMap&nbsp;</a></h3>
    - (NSMutableDictionary*) <b>customClassMap</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-customSubClassesOf$">customSubClassesOf:&nbsp;</a></h3>
    - (NSArray*) <b>customSubClassesOf:</b> (NSString*)superclass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-data">data&nbsp;</a></h3>
    - (NSData*) <b>data</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-dictionaryForClassNamed$">dictionaryForClassNamed:&nbsp;</a></h3>
    - (NSDictionary*) <b>dictionaryForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-extraActionsForObject$">extraActionsForObject:&nbsp;</a></h3>
    - (NSArray*) <b>extraActionsForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-extraOutletsForObject$">extraOutletsForObject:&nbsp;</a></h3>
    - (NSArray*) <b>extraOutletsForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-findClassByName$">findClassByName:&nbsp;</a></h3>
    - (NSString*) <b>findClassByName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-initWithDocument$">initWithDocument:&nbsp;</a></h3>
    - (id) <b>initWithDocument:</b> (id)aDocument;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isAction$ofClass$">isAction:&nbsp;ofClass:&nbsp;</a></h3>
    - (BOOL) <b>isAction:</b> (NSString*)name<b> ofClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isAction$onCategoryForClassNamed$">isAction:&nbsp;onCategoryForClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>isAction:</b> (NSString*)actionName<b> onCategoryForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isCategoryForClass$">isCategoryForClass:&nbsp;</a></h3>
    - (BOOL) <b>isCategoryForClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isCustomClass$">isCustomClass:&nbsp;</a></h3>
    - (BOOL) <b>isCustomClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isCustomClassMapEmpty">isCustomClassMapEmpty&nbsp;</a></h3>
    - (BOOL) <b>isCustomClassMapEmpty</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isKnownClass$">isKnownClass:&nbsp;</a></h3>
    - (BOOL) <b>isKnownClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isNonCustomClass$">isNonCustomClass:&nbsp;</a></h3>
    - (BOOL) <b>isNonCustomClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isOutlet$ofClass$">isOutlet:&nbsp;ofClass:&nbsp;</a></h3>
    - (BOOL) <b>isOutlet:</b> (NSString*)name<b> ofClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isRootClass$">isRootClass:&nbsp;</a></h3>
    - (BOOL) <b>isRootClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-isSuperclass$linkedToClass$">isSuperclass:&nbsp;linkedToClass:&nbsp;</a></h3>
    - (BOOL) <b>isSuperclass:</b> (NSString*)superclass<b> linkedToClass:</b> (NSString*)subclass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadCustomClasses$">loadCustomClasses:&nbsp;</a></h3>
    - (BOOL) <b>loadCustomClasses:</b> (NSString*)path;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadCustomClassesWithData$">loadCustomClassesWithData:&nbsp;</a></h3>
    - (BOOL) <b>loadCustomClassesWithData:</b> (NSData*)data;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadCustomClassesWithDict$">loadCustomClassesWithDict:&nbsp;</a></h3>
    - (BOOL) <b>loadCustomClassesWithDict:</b> (NSDictionary*)dict;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadFromFile$">loadFromFile:&nbsp;</a></h3>
    - (BOOL) <b>loadFromFile:</b> (NSString*)path;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadNibFormatCustomClassesWithData$">loadNibFormatCustomClassesWithData:&nbsp;</a></h3>
    - (BOOL) <b>loadNibFormatCustomClassesWithData:</b> (NSData*)data;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-loadNibFormatCustomClassesWithDict$">loadNibFormatCustomClassesWithDict:&nbsp;</a></h3>
    - (BOOL) <b>loadNibFormatCustomClassesWithDict:</b> (NSDictionary*)dict;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-makeSourceAndHeaderFilesForClass$withName$and$">makeSourceAndHeaderFilesForClass:&nbsp;withName:&nbsp;and:&nbsp;</a></h3>
    - (BOOL) <b>makeSourceAndHeaderFilesForClass:</b> (NSString*)className<b> withName:</b> (NSString*)sourcePath<b> and:</b> (NSString*)headerPath;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-nibData">nibData&nbsp;</a></h3>
    - (NSData*) <b>nibData</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-nonCustomSuperClassOf$">nonCustomSuperClassOf:&nbsp;</a></h3>
    - (NSString*) <b>nonCustomSuperClassOf:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-outletExists$onClassNamed$">outletExists:&nbsp;onClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>outletExists:</b> (NSString*)outlet<b> onClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-parentOfClass$">parentOfClass:&nbsp;</a></h3>
    - (NSString*) <b>parentOfClass:</b> (NSString*)aClass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-parseHeader$">parseHeader:&nbsp;</a></h3>
    - (BOOL) <b>parseHeader:</b> (NSString*)headerPath;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeAction$forObject$">removeAction:&nbsp;forObject:&nbsp;</a></h3>
    - (void) <b>removeAction:</b> (NSString*)anAction<b> forObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeAction$fromClassNamed$">removeAction:&nbsp;fromClassNamed:&nbsp;</a></h3>
    - (void) <b>removeAction:</b> (NSString*)anAction<b> fromClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeClassNamed$">removeClassNamed:&nbsp;</a></h3>
    - (void) <b>removeClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeCustomClassForName$">removeCustomClassForName:&nbsp;</a></h3>
    - (void) <b>removeCustomClassForName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeOutlet$forObject$">removeOutlet:&nbsp;forObject:&nbsp;</a></h3>
    - (void) <b>removeOutlet:</b> (NSString*)anOutlet<b> forObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-removeOutlet$fromClassNamed$">removeOutlet:&nbsp;fromClassNamed:&nbsp;</a></h3>
    - (void) <b>removeOutlet:</b> (NSString*)anOutlet<b> fromClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-renameClassNamed$newName$">renameClassNamed:&nbsp;newName:&nbsp;</a></h3>
    - (BOOL) <b>renameClassNamed:</b> (NSString*)oldName<b> newName:</b> (NSString*)newName;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-replaceAction$withAction$forClassNamed$">replaceAction:&nbsp;withAction:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>replaceAction:</b> (NSString*)oldAction<b> withAction:</b> (NSString*)aNewAction<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-replaceOutlet$withOutlet$forClassNamed$">replaceOutlet:&nbsp;withOutlet:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (void) <b>replaceOutlet:</b> (NSString*)oldOutlet<b> withOutlet:</b> (NSString*)aNewOutlet<b> forClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-saveToFile$">saveToFile:&nbsp;</a></h3>
    - (BOOL) <b>saveToFile:</b> (NSString*)path;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-setCustomClass$forName$">setCustomClass:&nbsp;forName:&nbsp;</a></h3>
    - (void) <b>setCustomClass:</b> (NSString*)className<b> forName:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-setCustomClassMap$">setCustomClassMap:&nbsp;</a></h3>
    - (void) <b>setCustomClassMap:</b> (NSMutableDictionary*)dict;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-setSuperClassNamed$forClassNamed$">setSuperClassNamed:&nbsp;forClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>setSuperClassNamed:</b> (NSString*)superclass<b> forClassNamed:</b> (NSString*)subclass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-subClassesOf$">subClassesOf:&nbsp;</a></h3>
    - (NSArray*) <b>subClassesOf:</b> (NSString*)superclass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-superClassNameForClassNamed$">superClassNameForClassNamed:&nbsp;</a></h3>
    - (NSString*) <b>superClassNameForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassManager-uniqueClassNameFrom$">uniqueClassNameFrom:&nbsp;</a></h3>
    - (NSString*) <b>uniqueClassNameFrom:</b> (NSString*)name;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormClassManager_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormClassManager Class</h2>
    <h3><a name="ivariable$GormClassManager*categoryClasses">categoryClasses</a></h3>
    @protected NSMutableArray* <b>categoryClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassManager*classInformation">classInformation</a></h3>
    @protected NSMutableDictionary* <b>classInformation</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassManager*customClassMap">customClassMap</a></h3>
    @protected NSMutableDictionary* <b>customClassMap</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassManager*customClasses">customClasses</a></h3>
    @protected NSMutableArray* <b>customClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassManager*document">document</a></h3>
    @protected id <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
